diff -urp Module-Install-0.64/inc/Module/AutoInstall.pm Module-Install-0.64-atNUdu/inc/Module/AutoInstall.pm
--- Module-Install-0.64/inc/Module/AutoInstall.pm	2006-08-23 19:12:48.000000000 +0200
+++ Module-Install-0.64-atNUdu/inc/Module/AutoInstall.pm	2006-11-29 08:15:03.000000000 +0100
@@ -250,16 +250,19 @@ END_MESSAGE
 
     _load_cpan();
 
-    # Find the CPAN lock-file
-    my $lock = MM->catfile( $CPAN::Config->{cpan_home}, ".lock" );
-    return unless -f $lock;
-
-    # Check the lock
     local *LOCK;
-    return unless open(LOCK, $lock);
+    unless ($ENV{PERL5_CPAN_IS_RUNNING}) {
+      # Find the CPAN lock-file
+      my $lock = MM->catfile( $CPAN::Config->{cpan_home}, ".lock" );
+      return unless -f $lock;
+
+      # Check the lock
+      return unless open(LOCK, $lock);
+    }
 
     if (
-            ( $^O eq 'MSWin32' ? _under_cpan() : <LOCK> == getppid() )
+        ( $^O eq 'MSWin32' ? _under_cpan() :
+          ($ENV{PERL5_CPAN_IS_RUNNING} || <LOCK> == getppid()))
         and ( $CPAN::Config->{prerequisites_policy} || '' ) ne 'ignore'
     ) {
         print <<'END_MESSAGE';
diff -urp Module-Install-0.64/lib/Module/AutoInstall.pm Module-Install-0.64-atNUdu/lib/Module/AutoInstall.pm
--- Module-Install-0.64/lib/Module/AutoInstall.pm	2006-08-23 19:05:36.000000000 +0200
+++ Module-Install-0.64-atNUdu/lib/Module/AutoInstall.pm	2006-11-29 08:17:03.000000000 +0100
@@ -249,16 +249,19 @@ END_MESSAGE
 
     _load_cpan();
 
-    # Find the CPAN lock-file
-    my $lock = MM->catfile( $CPAN::Config->{cpan_home}, ".lock" );
-    return unless -f $lock;
-
-    # Check the lock
     local *LOCK;
-    return unless open(LOCK, $lock);
+    unless ($ENV{PERL5_CPAN_IS_RUNNING}) {
+      # Find the CPAN lock-file
+      my $lock = MM->catfile( $CPAN::Config->{cpan_home}, ".lock" );
+      return unless -f $lock;
+
+      # Check the lock
+      return unless open(LOCK, $lock);
+    }
 
     if (
-            ( $^O eq 'MSWin32' ? _under_cpan() : <LOCK> == getppid() )
+        ( $^O eq 'MSWin32' ? _under_cpan() :
+          ($ENV{PERL5_CPAN_IS_RUNNING} || <LOCK> == getppid()))
         and ( $CPAN::Config->{prerequisites_policy} || '' ) ne 'ignore'
     ) {
         print <<'END_MESSAGE';
Only in Module-Install-0.64-atNUdu/lib/Module: AutoInstall.pm.orig
Only in Module-Install-0.64-atNUdu/lib/Module/Install: AutoInstall.pm.orig
Only in Module-Install-0.64-atNUdu/lib/Module/Install: AutoInstall.pm.rej
